package com.fjhx.acc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.acc.AccAccount;
import com.fjhx.params.acc.AccAccountVo;
import com.fjhx.base.BaseService;
import com.fjhx.params.acc.AccountExcel;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 全局账号 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-15
 */
public interface AccAccountService extends BaseService<AccAccount> {

    Page<AccAccount> getPage(Map<String, String> condition);

    void add(AccAccountVo accAccountVo);

    void edit(AccAccountVo accAccountVo);

    void delete(AccAccountVo accAccountVo);

    List<AccountExcel> refreshPassword();

    String updatePassword(String id);

    Object test(String key);
}
